Bug 484878 - Missing keys in tty_named_keys.h
Missing keys in tty_named_keys.h
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-10 08:38 EST by Miloslav Trmač
Modified: 2009-07-14 10:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 10:47:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Add keys for terminals from ncurses-base (12.41 KB, patch)
2009-03-18 15:56 EDT, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2009-02-10 08:38:54 EST
There are probably many missing keys, at least the following should be added:

esc O A    up
esc O B    down
esc O C    right
esc O D    left

(seen in #483086)
Comment 1 Steve Grubb 2009-02-10 16:47:02 EST
I updated the mappings for the above 4 codes in svn commit 249. Are there any more that should be done? 

I noticed that the original mappings work fine for ssh sessions and the ones in the description above seem to come from a gdm session. Would the terminal emulators employed by each cause the mappings to be different? If so, I wonder how we solve this problem reliably?
Comment 2 Miloslav Trmač 2009-02-10 16:56:20 EST
Best would be to use terminfo, but $TERM is not available in the message.  Perhaps we target just the terminals in /lib/terminfo (chosen as important by the ncurses maintainer) and add all input sequences for these.
Comment 3 Steve Grubb 2009-02-10 17:11:36 EST
OK, I will wait for further suggestions on this one.
Comment 4 Miloslav Trmač 2009-03-18 15:56:53 EDT
Created attachment 335756 [details]
Add keys for terminals from ncurses-base

The attached patch adds all keys described in terminfo in the ncurses-base package; there are some unavoidable conflicts, in which case the Linux variant, or the more popular variant (measured by the number of different terminal descriptions, not by actual usage) was chosen.

The patch also fixes an incorrect leading comma characters produced by aureport.
Comment 5 Miloslav Trmač 2009-03-18 15:58:22 EDT
(I didn't do any performance testing, the linear search might eventually be found too slow.  In that case the keys should probably be built in to a trie.)
Comment 6 Steve Grubb 2009-04-06 10:31:02 EDT
Applied to svn.
Comment 7 Steve Grubb 2009-07-14 10:47:40 EDT
closing since this was pushed out.

Note You need to log in before you can comment on or make changes to this bug.